<?php

/**
 * Called by the wordpress the_content filter
 */
function caaf_append_custom_author_bio($content) {
	global $post;
	if (in_category(array(10758,11332))) {
		return $content;
	}

	$caaf_global_display_on_home_page = get_option( caaf_Config::caaf_global_display_on_home_page );		// is_home()
	$caaf_global_display_on_page = get_option( caaf_Config::caaf_global_display_on_page );					// is_page()
	$caaf_global_display_on_single_post = get_option( caaf_Config::caaf_global_display_on_single_post );	// is_single()
	$caaf_global_display_on_archive_page = get_option( caaf_Config::caaf_global_display_on_archive_page );	// is_archive()
	$caaf_global_display_on_top = get_option( caaf_Config::caaf_global_display_on_top );					// display author box on top of post
	
	$content=preg_replace_callback("/\[custom_author=.*\]/",'caaf_filter_shortcode_callback',$content);
	$content=preg_replace_callback("/\[custom_author\]/",'caaf_filter_shortcode_with_no_username_callback',$content);
	
	if( is_home() && $caaf_global_display_on_home_page){
		if($caaf_global_display_on_top){
			$content = caaf_get_current_author_bio() . $content;
		}else{
			$content .= caaf_get_current_author_bio();
		}
	}
	if( is_page() && $caaf_global_display_on_page){
		if($caaf_global_display_on_top){
			$content = caaf_get_current_author_bio() . $content;
		}else{
			$content .= caaf_get_current_author_bio();
		}
	}
	if( is_single() && $caaf_global_display_on_single_post){
		if($caaf_global_display_on_top){
			$content = caaf_get_current_author_bio() . $content;
		}else{
			$content = $content . caaf_get_current_author_bio();
		}
	}
	if( is_archive() && $caaf_global_display_on_archive_page){
		if($caaf_global_display_on_top){
			$content = caaf_get_current_author_bio() . $content;
		}else{
			$content .= caaf_get_current_author_bio();
		}
	}
	
	
// 	if ( ! is_page() ){
		
// 		$content=preg_replace_callback("/\[custom_author=.*\]/",'caaf_filter_shortcode_callback',$content);
// 		$content=preg_replace_callback("/\[custom_author\]/",'caaf_filter_shortcode_with_no_username_callback',$content);
		
// 		if( ! is_home() ){
// 			$content .= caaf_get_current_author_bio();
// 		}
// 	}
	return $content;
}

function caaf_filter_shortcode_callback($matches){
	$user_login = str_replace("[custom_author=","",$matches[0]);
	$user_login = str_replace("]","",$user_login);

	$content = caaf_get_author_bio($user_login);
	return $content;
}

function caaf_filter_shortcode_with_no_username_callback($matches){
	$user_login = get_the_author_meta(caaf_Author::user_login);
	$content = caaf_get_author_bio($user_login);
	return $content;
}

function caaf_get_current_author_bio(){
	$user_login = get_the_author_meta(caaf_Author::user_login);
	return caaf_get_author_bio($user_login);
}

//new function

function caaf_get_bio_for_author_page() {
    $user_login = get_the_author_meta(caaf_Author::user_login);
    return caaf_get_author_page_bio($user_login);
}


/**
 * Create the HTML code for the author bio
 * 1) check if author is in "Do not display" list"
 * 2) check custom fields to see if author is specified
 *  - If author is in "Do not display" list and there is no custom field, return.
 * 3) check if author exists in custom_author_db
 * 4) if not in custom_author_db, use wordpress profile
 */
function caaf_get_author_bio($username){
	
	$display_author = caaf_can_display_user($username);
	
	
	$custom_username = caaf_get_author_from_custom_field();
	if($custom_username){
		$username = $custom_username;
	}
	
	if($display_author == false && $custom_username == null) {
		//Author is "Do not display" and there is no custom field.
		return;
	}
	
	$author = caaf_get_author_details_from_database($username);
	
	if($author == null && $custom_username==null && $display_author){
		$author = caaf_get_author_details_from_wordpress_user_profile();
	}
	
	return caaf_get_author_bio_html($author);
}

//new function
/**
 * Create the HTML code for the author bio
 * 1) check if author is in "Do not display" list"
 * 2) check custom fields to see if author is specified
 *  - If author is in "Do not display" list and there is no custom field, return.
 * 3) check if author exists in custom_author_db
 * 4) if not in custom_author_db, use wordpress profile
 */
function caaf_get_author_page_bio($username){
	
	$display_author = caaf_can_display_user($username);

	
	$custom_username = caaf_get_author_from_custom_field();
	if($custom_username){
		$username = $custom_username;
	}
	
	if($display_author == false && $custom_username == null) {
		//Author is "Do not display" and there is no custom field.
		return;
	}
	
	$author = caaf_get_author_details_from_database($username);
	
	if($author == null && $custom_username==null && $display_author){
		$author = caaf_get_author_details_from_wordpress_user_profile();
	}
	
	return caaf_get_author_page_bio_html($author);
}

function caaf_get_author_page_bio_html($author){
	if($author == null){
		//No author to display
		return;
	}
	
	if($author[caaf_Profile_DB::display_html_block]){
		//use custom block if it is enabled
		return caaf_html_entity_decode( $author[caaf_Profile_DB::html_block] );
	}
	//substitute author archives link for author-link, add home url as option in admins, also email
	//need to get author_ID for this one
        $author_email = $author[caaf_Author::user_email];
		$author_name = $author[caaf_Author::display_name];
		$user = get_user_by('email',$author_email);
        $author_role = caaf_get_author_role_name($user->ID);
	$author_name_title = '<h2 class="cab-author-name-link">'.$author_name. '<br/><span class="cab-author-role">' . $author_role .'</span>';
        
        $author_long_bio = $author[caaf_Author::long_bio];
        if (!empty($author_long_bio)) {
            $author_info = caaf_html_entity_decode( $author_long_bio);
        } else {
            $author_info = caaf_html_entity_decode( $author[caaf_Author::description]);
        }
       
	$image_size = 96;
	$author_image = get_avatar( $author_email, $image_size);
	
	if($author[caaf_Profile_DB::use_custom_image]){
		//use custom author image url
		$author_image_url = caaf_html_entity_decode( $author[caaf_Profile_DB::custom_image_url]);
		$author_image = '<img src="'.$author_image_url.'"  width="'.$image_size.'" height="'.$image_size.'" />';
	}
	
	$author_bio = '<div id="cab-author" class="cab-author">';
	$author_bio .= '<div class="cab-author-inner">';
	$author_bio .= '<div class="cab-author-image">' . $author_image;
	$author_bio .= '<div class="cab-author-overlay"></div>';
	$author_bio .= '</div> <!-- .cab-author-image -->';
	$author_bio .= '<div class="cab-author-info">';
	$author_bio .= '<div class="cab-author-name">' . $author_name_title . '</div>';
	$author_bio .= '<div class="cab_social">' . caaf_get_all_social_media($author) . '</div>';
	$author_bio .= '<div class="cab_descr"><p>' . $author_info . '</p></div>';
        
	$author_bio .= '</div> <!-- .cab-author-info -->';
        $author_bio .= '</div> <!-- .cab-author-inner -->';
        $author_bio .= '</div> <!-- .cab-author-shortcodes -->';
	
	return $author_bio;	
}


//new function
function caaf_get_recent_posts() {
    
    global $authordata, $post;
    
    $output = '';
/*LINKAGE TIE-IN EXCLUDES FROM AUTHOR BIOS */
    $authors_posts = get_posts( array( 'author' => $authordata->ID, 'post__not_in' => array( $post->ID ), 'posts_per_page' => 3, 'category__not_in' => 11332  ) );
    if ($authors_posts) {
    $output = '<div class="cab_footer"><h4>Recent Posts: </h4><div class="cab-recent-posts">';
    foreach ( $authors_posts as $authors_post ) {
        $output .= '<a href="' . get_permalink( $authors_post->ID ) . '">' . apply_filters( 'the_title', $authors_post->post_title, $authors_post->ID ) . '</a>';
    }
    $output .= '</div><a class="cab_all_posts" href="'. get_author_posts_url($post->post_author). '" title="posts by ' . $authordata->display_name . '" />[archive]</a></div>';
    }
    
    return $output;
}

//NEW FUNCTION

function caaf_get_author_role_name($author_ID) {

	//get role names in key-value pairs 'name' => 'displayname'
	global $wp_roles;
	$roles = $wp_roles->get_names();

	//get author's role name
	$author_role_arr = get_the_author_meta('roles',$author_ID);	

	//because array returned from UserObject may have modified key, use reset($array) to get first value
	$author_role = reset($author_role_arr);

	$author_role_displayname = $roles[$author_role];

	return $author_role_displayname;
	
}

function caaf_get_author_bio_html($author){
	if($author == null){
		//No author to display
		return;
	}
	
	if($author[caaf_Profile_DB::display_html_block]){
		//use custom block if it is enabled
		return caaf_html_entity_decode( $author[caaf_Profile_DB::html_block] );
	}
	//substitute author archives link for author-link, add home url as option in admins, also email
        global $post;
	$author_ID = $post->post_author;
        $author_email = $author[caaf_Author::user_email];
	$author_posts_link = get_author_posts_url($author_ID);
	$author_name = $author[caaf_Author::display_name];
	$author_role = caaf_get_author_role_name($author_ID);     
	$author_name_link = '<a href="'.$author_posts_link.'" rel="author" class="cab-author-name-link">'.$author_name. '</a><br/><span class="cab-author-role">' . $author_role .'</span>';
	$author_description = caaf_html_entity_decode( $author[caaf_Author::description] );
        $author_long_bio = caaf_html_entity_decode( $author[caaf_Author::long_bio]);
        if (!empty($author_long_bio)) {
            $author_bio_link = '<a class="author_bio_link" href="' . $author_posts_link . '#bio" title="View ' . $author_name . '\'s Full Bio" />...more &rarr;</a>';
        } else {
            $author_bio_link = '';
        }
       
	
	$image_size = 96;
	$author_image = get_avatar( $author_email, $image_size);
	
	if($author[caaf_Profile_DB::use_custom_image]){
		//use custom author image url
		$author_image_url = caaf_html_entity_decode( $author[caaf_Profile_DB::custom_image_url]);
		$author_image = '<img src="'.$author_image_url.'"  width="'.$image_size.'" height="'.$image_size.'" />';
	}
	
	$author_bio = '<div id="cab-author" class="cab-author">';
	$author_bio .= '<div class="cab-author-inner">';
	$author_bio .= '<div class="cab-author-image">' . $author_image;
	$author_bio .= '<div class="cab-author-overlay"></div>';
	$author_bio .= '</div> <!-- .cab-author-image -->';
	$author_bio .= '<div class="cab-author-info">';
	$author_bio .= '<div class="cab-author-name">' . $author_name_link . '</div>';
	$author_bio .= '<div class="cab_social">' . caaf_get_all_social_media($author) . '</div>';
	$author_bio .= '<div class="cab_descr"><p>' . $author_description . ' ' . $author_bio_link . '</p></div>';
        
	$author_bio .= '</div> <!-- .cab-author-info -->';
        
        //add wp_get_recent_posts logic
        $author_bio .=  caaf_get_recent_posts($author_posts_link,$author_name);
        $author_bio .= '</div> <!-- .cab-author-inner -->';
        $author_bio .= '</div> <!-- .cab-author-shortcodes -->';
	
	return $author_bio;	
}
/**
 * Checks to see if the specified email address has a Gravatar image.
 *
 * @param	$email_address	The email of the address of the user to check
 * @return			          Whether or not the user has a gravatar
 * @since	1.0
 */
function example_has_gravatar( $email_address ) {

	// Build the Gravatar URL by hasing the email address
	$url = 'http://www.gravatar.com/avatar/' . md5( strtolower( trim ( $email_address ) ) ) . '?d=404';

	// Now check the headers...
	$headers = @get_headers( $url );

	// If 200 is found, the user has a Gravatar; otherwise, they don't.
	return preg_match( '|200|', $headers[0] ) ? true : false;

} // end example_has_gravatar

/**
 * Check whether the about author box for this author should be displayed
 * @param unknown_type $username
 * @return boolean
 * ADDED LOGIC TO EXCLUDE USERS WITHOUT BIOS OR GRAVATARS 
 * if ( $bio === '' ) {
            $display_author = false;
        }
 * seems to be working but must test each individually
 * 
 * 
 * || (!example_has_gravatar($email_address) ) 
 */
function caaf_can_display_user(){
    
        global $post;
        
        $postdate = strtotime($post->post_date);

        $cutoffdate = strtotime('September 16, 2015');
	
        $display_author = true;
        
        $email_address = get_the_author_meta(caaf_Author::user_email);
        
        $bio = get_the_author_meta(caaf_Author::description);
	
	if (

		(get_the_author_meta(caaf_Author::disable_about_author)  )

		|| ($postdate < $cutoffdate ) 
		|| ($bio == '') 
		//|| (!example_has_gravatar($email_address) ) 
	)
            
            {
		$display_author = false;
	}
	
	return $display_author;
}

/**
 * Get custom field for custom author (if any)
 */
function caaf_get_author_from_custom_field(){
	global $post;
	
	return get_post_meta($post->ID, caaf_Config::custom_field_in_post_for_custom_author, true);
}

/**
 * Get Author details from wordpress user profile
 * @return multitype:string NULL
 */
function caaf_get_author_details_from_wordpress_user_profile(){
	$wordpres_author_details = array( 	
		caaf_Author::first_name => get_the_author_meta(caaf_Author::user_firstname),
		caaf_Author::last_name => get_the_author_meta(caaf_Author::user_lastname),
                caaf_author::display_name => get_the_author_meta(caaf_Author::display_name),
		caaf_Author::user_email => get_the_author_meta(caaf_Author::user_email),
		caaf_Author::user_url => get_the_author_meta(caaf_Author::user_url),
		caaf_Author::description => get_the_author_meta(caaf_Author::description),
		caaf_Author::twitter => get_the_author_meta(caaf_Author::twitter),
		caaf_Author::facebook => get_the_author_meta(caaf_Author::facebook),
		caaf_Author::google_plus => get_the_author_meta(caaf_Author::google_plus),
		caaf_Author::linkedin => get_the_author_meta(caaf_Author::linkedin),
		caaf_Author::flickr => get_the_author_meta(caaf_Author::flickr),
		caaf_Author::youtube => get_the_author_meta(caaf_Author::youtube),
		caaf_Author::vimeo => get_the_author_meta(caaf_Author::vimeo),
		caaf_Author::skype => get_the_author_meta(caaf_Author::skype),
		caaf_Author::xing => get_the_author_meta(caaf_Author::xing),
            //new fields
                caaf_Author::tumblr => get_the_author_meta(caaf_Author::tumblr),
                caaf_Author::github => get_the_author_meta(caaf_Author::github),
                caaf_Author::pinterest => get_the_author_meta(caaf_Author::pinterest),
                caaf_Author::instagram => get_the_author_meta(caaf_Author::instagram),
                caaf_Author::public_email => get_the_author_meta(caaf_Author::public_email),
                caaf_Author::home_page => get_the_author_meta(caaf_Author::user_url),
                caaf_Author::site_role => get_the_author_meta(caaf_Author::site_role),
                caaf_Author::long_bio => get_the_author_meta(caaf_Author::long_bio),
		caaf_Author::custom_icon_1 => get_the_author_meta(caaf_Author::custom_icon_1),
		caaf_Author::custom_link_1 => get_the_author_meta(caaf_Author::custom_link_1),
		caaf_Author::custom_icon_2 => get_the_author_meta(caaf_Author::custom_icon_2),
		caaf_Author::custom_link_2 => get_the_author_meta(caaf_Author::custom_link_2),
		caaf_Author::custom_icon_3 => get_the_author_meta(caaf_Author::custom_icon_3),
		caaf_Author::custom_link_3 => get_the_author_meta(caaf_Author::custom_link_3),
		caaf_Profile_DB::display_html_block => null
		);
	return $wordpres_author_details;
}

function caaf_get_author_details_from_database($username, $convert_line_feeds_to_br = false){
	global $wpdb;
	
	$database_author_details=null;
	$author_profile_db = new caaf_Profile_DB($wpdb);
	$result = $author_profile_db->get_row_by_username($username);
	if($result){
		$author_description = $result->description;
		if($convert_line_feeds_to_br){
			$author_description = caaf_replace_linefeeds_to_br($author_description);
		}
		
		$database_author_details = array(
			caaf_Author::first_name => $result->first_name,
			caaf_Author::last_name => $result->last_name,
                        caaf_Author::display_name => $result->display_name,
			caaf_Author::user_email => $result->email,
			caaf_Author::user_url => $result->url,
			caaf_Author::description => $author_description,
			caaf_Author::twitter => $result->twitter,
			caaf_Author::facebook => $result->facebook,
			caaf_Author::google_plus => $result->google_plus,
			caaf_Author::linkedin => $result->linkedin,
			caaf_Author::flickr => $result->flickr,
			caaf_Author::youtube => $result->youtube,
			caaf_Author::vimeo => $result->vimeo,
			caaf_Author::skype => $result->skype,
			caaf_Author::xing => $result->xing,
                    //new fields
                        caaf_Author::tumblr => $result->tumblr,
                        caaf_Author::pinterest => $result->pinterest,
                        caaf_Author::github => $result->github,
                        caaf_Author::instagram => $result->instagram,
                        caaf_Author::site_role => $result->site_role,
                        caaf_Author::public_email => $result->public_email,
                        caaf_Author::user_url => $result->home_page,
                        caaf_Author::long_bio => $result->long_bio,
			caaf_Author::custom_icon_1 => $result->custom_icon_1,
			caaf_Author::custom_link_1 => $result->custom_link_1,
			caaf_Author::custom_icon_2 => $result->custom_icon_2,
			caaf_Author::custom_link_2 => $result->custom_link_2,
			caaf_Author::custom_icon_3 => $result->custom_icon_3,
			caaf_Author::custom_link_3 => $result->custom_link_3,
			caaf_Profile_DB::use_custom_image => $result->use_custom_image,
			caaf_Profile_DB::custom_image_url => $result->custom_image_url,
			caaf_Profile_DB::display_html_block => $result->display_html_block,
			caaf_Profile_DB::html_block => $result->html_block
		);		
	}
	return $database_author_details;
}

//NOTE: CAN USE TO RE-write disoplay social media function
function caaf_get_all_social_media($author){
	$content = 
               //new fields plus put twitter before facebook
	caaf_add_social_media($author, caaf_Author::user_url).
        caaf_add_social_media($author, caaf_Author::public_email).
        caaf_add_social_media($author, caaf_Author::twitter).
        caaf_add_social_media($author, caaf_Author::facebook) .
	caaf_add_social_media($author, caaf_Author::linkedin).
	caaf_add_social_media($author, caaf_Author::google_plus).
	caaf_add_social_media($author, caaf_Author::flickr).
	caaf_add_social_media($author, caaf_Author::youtube).
	caaf_add_social_media($author, caaf_Author::vimeo).
	caaf_add_social_media($author, caaf_Author::skype).
                //new fields
        caaf_add_social_media($author, caaf_Author::tumblr).
        caaf_add_social_media($author, caaf_Author::pinterest).
        caaf_add_social_media($author, caaf_Author::github).
        caaf_add_social_media($author, caaf_Author::instagram).
	caaf_add_social_media($author, caaf_Author::xing).
	caaf_add_social_media($author, caaf_Author::custom_link_1).
	caaf_add_social_media($author, caaf_Author::custom_link_2).
	caaf_add_social_media($author, caaf_Author::custom_link_3);
	/* no need for these p's
	
	if($content!=""){
		$content = "<p>".$content."</p>";
	}
	*/
	return $content;
}

function caaf_add_social_media($author, $media_type){
	global $caaf_plugin_dir_path;
	
	$social_media_id = $author[$media_type];
	if($social_media_id==null || $social_media_id==""){
		//User does not use this social media
		return "";
	}

	$social_media_content = '';
	if($media_type == caaf_Author::twitter){
		$social_media_content .= '<a href="'.caaf_Config::twitter_url_prefix.$social_media_id.'" rel="Twitter me" id="cab-twitter">' .
									'<img title="Twitter" src="' . $caaf_plugin_dir_path . '/images/social_media/twitter.png" alt="Twitter"  border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::facebook){
		$social_media_content .= '<a href="'.caaf_Config::facebook_url_prefix. $social_media_id.'" rel="Facebook me" id="cab-facebook">' .
									'<img title="Facebook" src="' . $caaf_plugin_dir_path . '/images/social_media/facebook.png" alt="Facebook" border="0" /></a>&nbsp;';
	}
        
  
        //new files
        
        else if($media_type == caaf_Author::user_url){
		$social_media_content .= '<a href="'. $social_media_id.'" rel="home_page me" id="cab-home_page">' .
									'<img title="Home Page" src="' . $caaf_plugin_dir_path . '/images/social_media/home_page.png" alt="Home Page" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::public_email){
		$social_media_content .= '<a href="mailto:'.$social_media_id.'" rel="public_email me" id="cab-public_email">' .
									'<img title="Public Email" src="' . $caaf_plugin_dir_path . '/images/social_media/email.png" alt="Public Email" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::instagram){
		$social_media_content .= '<a href="'.caaf_Config::instagram_url_prefix. $social_media_id.'" rel="Instagram me" id="cab-instagram">' .
									'<img title="Instagram" src="' . $caaf_plugin_dir_path . '/images/social_media/instagram.png" alt="Instagram" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::tumblr){
		$social_media_content .= '<a href="'.caaf_Config::tumblr_url_prefix. $social_media_id.'" rel="Tumblr me" id="cab-tumblr">' .
									'<img title="Tumblr" src="' . $caaf_plugin_dir_path . '/images/social_media/tumblr.png" alt="Tumblr" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::github){
		$social_media_content .= '<a href="'.caaf_Config::github_url_prefix. $social_media_id.'" rel="Github me" id="cab-github">' .
									'<img title="Github" src="' . $caaf_plugin_dir_path . '/images/social_media/github.png" alt="Github" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::pinterest){
		$social_media_content .= '<a href="'.caaf_Config::pinterest_url_prefix. $social_media_id.'" rel="Pinterest me" id="cab-pinterest">' .
									'<img title="Pinterest" src="' . $caaf_plugin_dir_path . '/images/social_media/pinterest.png" alt="Pinterest" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::google_plus){
		$social_media_content .= '<a href="'.caaf_Config::google_plus_url_prefix.$social_media_id.'" rel="me publisher author" id="cab-google_plus">' .
									'<img title="Google+" src="' . $caaf_plugin_dir_path . '/images/social_media/google_plus.png" alt="Google+" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::linkedin){
		$social_media_content .= '<a href="'.caaf_Config::linkedin_url_prefix.$social_media_id.'" rel="LinkedIn me" id="cab-linkedin">' .
									'<img title="LinkedIn" src="' . $caaf_plugin_dir_path . '/images/social_media/linkedin.png" alt="LinkedIn" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::flickr){
		$social_media_content .= '<a href="'.caaf_Config::flickr_url_prefix.$social_media_id.'" rel="Flickr me" id="cab-flickr">' .
									'<img title="Flickr" src="' . $caaf_plugin_dir_path . '/images/social_media/flickr.png" alt="Flickr" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::youtube){
		$social_media_content .= '<a href="'.caaf_Config::youtube_url_prefix.$social_media_id.'" rel="YouTube me" id="cab-youtube">' .
									'<img title="YouTube" src="' . $caaf_plugin_dir_path . '/images/social_media/youtube.png" alt="YouTube" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::vimeo){
		$social_media_content .= '<a href="'.caaf_Config::vimeo_url_prefix.$social_media_id.'" rel="Vimeo me" id="cab-vimeo">' .
									'<img title="Vimeo" src="' . $caaf_plugin_dir_path . '/images/social_media/vimeo.png" alt="Vimeo" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::skype){
		$social_media_content .= '<a href="'.caaf_Config::skype_url_prefix.$social_media_id.'?userinfo" rel="Skype me" id="cab-skype">' .
									'<img title="Skype" src="' . $caaf_plugin_dir_path . '/images/social_media/skype.png" alt="Skype" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::xing){
		$social_media_content .= '<a href="'.caaf_Config::xing_url_prefix.$social_media_id.'" rel=" Xing me" id="cab-xing">' .
									'<img title="Xing" src="' . $caaf_plugin_dir_path . '/images/social_media/xing.png" alt="Xing" border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::custom_link_1){
		$custom_icon_1 = $author[caaf_Author::custom_icon_1];
		$social_media_content .= '<a href="'.$social_media_id.'" rel="me" id="cab-custom-1">' .
									'<img src="' . $custom_icon_1 . '" height=32px border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::custom_link_2){
		$custom_icon_2 = $author[caaf_Author::custom_icon_2];
		$social_media_content .= '<a href="'.$social_media_id.'" rel="me" id="cab-custom-2">' .
									'<img src="' . $custom_icon_2 . '" height=32px border="0" /></a>&nbsp;';
	}else if($media_type == caaf_Author::custom_link_3){
		$custom_icon_3 = $author[caaf_Author::custom_icon_3];
		$social_media_content .= '<a href="'.$social_media_id.'" rel="me" id="cab-custom-3">' .
									'<img src="' . $custom_icon_3 . '" height=32px border="0" /></a>&nbsp;';
	}
	
	return $social_media_content;
}


/***TEMPORARY PLACEMENT CODE ******
*REQUIRES USER GROUPS
****/
/* enable user groups shortcode 
  from https://wordpress.org/support/topic/plugin-user-groups-list-group-members?replies=7
   [group-list group="NameOfGroup"]
*/

add_shortcode('masthead_list', 'masthead_list_shortcode');

function masthead_list_shortcode( $atts ) {
    // Get the global $wpdb object
    global $wpdb;

    // Extract the parameters and set the default
    extract ( shortcode_atts( array(
        'group' => 'No Group' // No Group is a defined user-group
        ), $atts ) );

    // The taxonomy name will be used to get the objects assigned to that group
    $taxonomy = 'user-group';

    // Use a dBase query to get the ID of the user group
    $userGroupID = $wpdb->get_var(
                    $wpdb->prepare("SELECT term_id
                        FROM {$wpdb->terms} t
                        WHERE t.name = %s", $group));

    // Now grab the object IDs (aka user IDs) associated with the user-group
    $userIDs = get_objects_in_term($userGroupID, $taxonomy);

    // Check if any user IDs were returned; if so, display!
    // If not, notify visitor none were found.
    if ($userIDs) {
		$i = 0;
        $content = '<div class="masthead-list"> <span="masthead-group-title">';
		$content .= $group . '</span>';
        foreach( $userIDs as $userID ) {
			$i++;
			if ($i > 1) { $content .= ' '; }
                        $user_name = get_the_author_meta('display_name', $userID);
			$user_posts_link = get_author_posts_url($userID);			
			//$content .= caaf_get_user_page_bio($userID);
			$content .= '<a href="'.$user_posts_link.'" rel="user" class="masthead-name-link">'.$user_name. '</a>';
            
            // $content .= caaf_get_author_bio($user_name);

        }
        $content .= "</div>";
    } else {
        $content =
        "<div class='group-list group-list-none'>Returned no results</div>";

    }
    return $content;
}


add_shortcode('contributors_list', 'contributors_list_shortcode');

function contributors_list_shortcode( $atts ) {
    
    // Extract the parameters and set the defaults
   extract ( shortcode_atts( array(
       	'number_posts' => '50' ,
		'lookback' => '1 week ago',
		'exclude_cat' => 'Linkage',
		 ), $atts ) );
		
   $excl_cat_ID = '-' . get_cat_ID( $exclude_cat );

   $recent_posts = wp_get_recent_posts( array(
	'numberposts' => $number_posts,
	'category' => $excl_cat_ID,
	'post_status' => 'publish',
	'date_query' => array(
		array(
			'after' => $lookback ,
		),
	),
     	)
    );

	if ( $recent_posts ) {

		$content = "<div class='group-list'>";

		foreach ( $recent_posts as $post ) {
			$contributors[] = $post["post_author"];
		}
	
		$contributors = array_unique($contributors);
		foreach ( $contributors as $contributor ) {
//			if  ( (count_user_posts($contributor) >= 3) && ( get_user_meta($contributor,'description',true))) {
			if  (count_user_posts($contributor) >= 1) {
				$content .= caaf_get_user_page_bio($contributor);
			}
   		} 

   		$content .= "</div>";   

    }

	else {
		$content = "<div class='group-list group-list-none'>Returned no results</div>";
	}

    return $content;
}

//new function
function caaf_get_user_page_bio($userid) {
    $author = caaf_get_user_details_from_wordpress_user_profile($userid);
    return caaf_get_user_page_bio_html($author,$userid);
}

//new function
function caaf_get_user_page_bio_html($author,$userid){
	
	$user_info = get_userdata($userid);
        $author_email = $user_info->user_email;
	$author_posts_link = get_author_posts_url($userid);
	$author_name = $user_info->display_name;
        $author_role = caaf_get_author_role_name($userid);      
	$author_name_link = '<a href="'.$author_posts_link.'" rel="author" class="cab-author-name-link">'.$author_name. '</a><br/><span class="cab-author-role">' . $author_role .'</span>';
	$author_description = caaf_html_entity_decode( $author[caaf_Author::description] );
        $author_long_bio = caaf_html_entity_decode( $author[caaf_Author::long_bio]);
        if (!empty($author_long_bio)) {
            $author_bio_link = '<a class="author_bio_link" href="' . $author_posts_link . '#bio" title="View ' . $author_name . '\'s Full Bio" />...more &rarr;</a>';
        } else {
            $author_bio_link = '';
        }
       
	
	$image_size = 96;
//	$author_image = get_avatar( $author_email, $image_size);
	$author_image = get_avatar( $author_email);
	
	$author_bio = '<div class="cont-list-cab-author">';
	$author_bio .= '<div class="cab-author-inner">';
	$author_bio .= '<div class="cab-author-image">' . $author_image;
	$author_bio .= '<div class="cab-author-overlay"></div>';
	$author_bio .= '</div> <!-- .cab-author-image -->';
	$author_bio .= '<div class="cab-author-info">';
	$author_bio .= '<div class="cab-author-name">' . $author_name_link . '</div>';
	$author_bio .= '<div class="cab_social">' . caaf_get_all_social_media($author) . '</div>';
	$author_bio .= '<div class="cab_descr"><p>' . $author_description . ' ' . $author_bio_link . '</p></div>';
        
	$author_bio .= '</div> <!-- .cab-author-info -->';
        
        //add wp_get_recent_posts logic
        $author_bio .=  caaf_get_recent_user_posts($userid);
        $author_bio .= '</div> <!-- .cab-author-inner -->';
        $author_bio .= '</div> <!-- .cab-author-shortcodes -->';
	
	return $author_bio;	
}

//new function for contributor's list

function caaf_get_recent_user_posts($userid) {
    
    $output = '';

    $user_posts = get_posts( array( 'author' => $userid, 'posts_per_page' => 3, 'category__not_in' => 11332  ) );
    if ($user_posts) {
    $output = '<div class="cab_footer"><h4>Recent Posts: </h4><div class="cab-recent-posts">';
    foreach ( $user_posts as $user_post ) {
        $output .= '<a href="' . get_permalink( $user_post->ID ) . '">' . apply_filters( 'the_title', $user_post->post_title, $user_post->ID ) . '</a>';
    }
    $output .= '</div><a class="cab_all_posts" href="'. get_author_posts_url($userid). '" title="posts by ' . $user_post->author_name . '" />[archive]</a></div>';
    }
    
    return $output;
}


//new function
/**
 * Get Author details from wordpress user profile
 * @return multitype:string NULL
 */
function caaf_get_user_details_from_wordpress_user_profile($userid){
	$user_obj = get_userdata( $userid );
	$user_url = $user_obj->user_url;
	$wordpress_user_details = array( 	
		caaf_Author::first_name => get_user_meta($userid, caaf_Author::user_firstname,true),
		caaf_Author::last_name => get_user_meta($userid,caaf_Author::user_lastname,true),
	        caaf_Author::display_name => get_user_meta($userid,caaf_Author::display_name,true),
		caaf_Author::user_email => get_user_meta($userid,caaf_Author::user_email,true),
		caaf_Author::user_url => $user_url,
		caaf_Author::description => get_user_meta($userid,caaf_Author::description,true),
		caaf_Author::twitter => get_user_meta($userid,caaf_Author::twitter,true),
		caaf_Author::facebook => get_user_meta($userid,caaf_Author::facebook,true),
		caaf_Author::google_plus => get_user_meta($userid,caaf_Author::google_plus,true),
		caaf_Author::linkedin => get_user_meta($userid,caaf_Author::linkedin,true),
		caaf_Author::flickr => get_user_meta($userid,caaf_Author::flickr,true),
		caaf_Author::youtube => get_user_meta($userid,caaf_Author::youtube,true),
		caaf_Author::vimeo => get_user_meta($userid,caaf_Author::vimeo,true),
		caaf_Author::skype => get_user_meta($userid,caaf_Author::skype,true),
		caaf_Author::xing => get_user_meta($userid,caaf_Author::xing,true),
            //new fields
                caaf_Author::tumblr => get_user_meta($userid,caaf_Author::tumblr,true),
                caaf_Author::github => get_user_meta($userid,caaf_Author::github,true),
                caaf_Author::pinterest => get_user_meta($userid,caaf_Author::pinterest,true),
                caaf_Author::instagram => get_user_meta($userid,caaf_Author::instagram,true),
                caaf_Author::public_email => get_user_meta($userid,caaf_Author::public_email,true),
                caaf_Author::home_page => get_user_meta($userid,caaf_Author::user_url,true),
                caaf_Author::site_role => get_user_meta($userid,caaf_Author::site_role,true),
                caaf_Author::long_bio => get_user_meta($userid,caaf_Author::long_bio,true),
		caaf_Author::custom_icon_1 => get_user_meta($userid,caaf_Author::custom_icon_1,true),
		caaf_Author::custom_link_1 => get_user_meta($userid,caaf_Author::custom_link_1,true),
		caaf_Author::custom_icon_2 => get_user_meta($userid,caaf_Author::custom_icon_2,true),
		caaf_Author::custom_link_2 => get_user_meta($userid,caaf_Author::custom_link_2,true),
		caaf_Author::custom_icon_3 => get_user_meta($userid,caaf_Author::custom_icon_3,true),
		caaf_Author::custom_link_3 => get_user_meta($userid,caaf_Author::custom_link_3,true),
		caaf_Profile_DB::display_html_block => null
		);
	return $wordpress_user_details;
}