
/**
 * @package: Featured and Thumbnail Fallbacks
 * @Version: 0.6
 * @Author: CK MacLeod, Category Featured Images by Mattia Roccoberton
 * @Author: URI: http://ckmacleod.com
 * @License: GPL3
 */

jQuery(document).ready( function( $ ) {
    
    var fatf_media_upload;

    $('#fatf-change-image').click(function(e) {

        e.preventDefault();

        // If the uploader object has already been created, reopen the dialog
        if( fatf_media_upload ) {
                fatf_media_upload.open();
                return;
        }

        // Extend the wp.media object

        fatf_media_upload = wp.media.frames.file_frame = wp.media({
                title: button_text.title,
                button: { text: button_text.button },
                multiple: true
        });

        //When a file is selected, grab the URL and set it as the text field's value
        fatf_media_upload.on( 'select', function(){

            // This will return the selected images from the Media Uploader, the results are an array of objects
            var attachments = fatf_media_upload.state().get('selection').map( function( attachment ) {

                attachment.toJSON();
                //console.log(attachment.id);
                return attachment;

            });

           var i;

           for (i = 0; i < attachments.length; ++i) {
               //console.log(attachment_ids[i]);
               $('#fatf-thumbnail').after('<div class="fatf-gf-preview"><img src="' + attachments[i].attributes.url + '" ></p></div>');
               $('#fatf-thumbnail').after('<input id="gf-preview-' + attachments[i].id + '"  type="hidden" name="cks_fatf_global_fallback[]" value="' + attachments[i].id + '" />');
               $('#fatf-term-images').after('<div class="fatf-gf-preview"><img src="' + attachments[i].attributes.url + '" ></p></div>');
               $('#fatf-term-images').after('<input id="gf-preview-' + attachments[i].id + '"  type="hidden" name="cks_fatf_featured_images[]" value="' + attachments[i].id + '" />');
           }

        });

        $('#fatf-change-image').hide();
        $('#fatf-new-global').toggle();
        $('#cancel-addition').toggle();
        $('#add-to-gf-button').toggle();

        fatf_media_upload.open();

    });

    $( '#cancel-addition' ).click(function() { 

        location.reload(); 

    });

});