<?php

/**
 * @package: Image Fallbacks
 * @Version: 0.7
 * @Date: January 2017
 * @Author: CK MacLeod
 * @Author: URI: http://ckmacleod.com
 * @License: GPL3
 */

defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly.' ) ;
   
//get options 
$always_assign = 
        get_option( 'cks_fatf_always_assign') ? 
        get_option( 'cks_fatf_always_assign') : '' ;
$use_yoast_cat = 
        get_option( 'cks_fatf_use_yoast_primary' ) ? 
        get_option( 'cks_fatf_use_yoast_primary' ) : '' ;
$images                 =   
        get_option( 'cks_fatf_featured_images' ) ? 
        get_option( 'cks_fatf_featured_images' ) : array() ;
$excluded_categories    = 
        get_option( 'cks_fatf_exclude_category' ) ? 
        get_option( 'cks_fatf_exclude_category' ) : '' ;
$exclude_if_categories    = 
        get_option( 'cks_fatf_exclude_if_categories' ) ? 
        get_option( 'cks_fatf_exclude_if_categories' ) : '' ;
$use_post_image         = 
        get_option( 'cks_fatf_use_post_image' )  ?  
        get_option( 'cks_fatf_use_post_image') : '' ;
$excluded_last_resort         = 
        get_option( 'cks_fatf_excluded_last_resort' )  ?  
        get_option( 'cks_fatf_excluded_last_resort') : '' ;
$global_fallback        = 
        get_option( 'cks_fatf_global_fallback' )  ? 
        get_option( 'cks_fatf_global_fallback' ) : '' ;
$custom_tax        = 
        get_option( 'cks_fatf_custom_tax' )  ? 
        get_option( 'cks_fatf_custom_tax' ) : '' ;   
$yoast_active_class      = is_plugin_active('wordpress-seo/wp-seo.php') ? 'yoast-active' : 'yoast-inactive' ;

$version = CKS_FATF_VERSION ;

//derive dependent variables

?>

<div class="wrap cks_plugins">
    
    <h2>IMAGE FALLBACKS</h2>
    
    
    
    <form method="post" action="options.php">     
     
     <?php 
     
    settings_fields('cks_fatf');  
    
    do_settings_fields('cks_fatf','');    
     
     ?>
        
    <div id="cks_plugins-main" class="main" >
        
        <p id="goto-menu-top" class="goto-menu" style="text-align: center;margin: 0 0 20px;">
        <?php printf( __('<a href="%s">Image Selection</a> | <a href="%s">Image Assignment</a> | <a href="%s">Usage Notes</a> | <a href="%s">Shortcode and Function Tags</a>', 
                'cks_fatf'), 
                '#image-selection', 
                '#image-assignment',
                '#cks_fatf-usage-notes',
                '#shortcodes'  ) ; ?>
            
          <?php printf( __('<a href="%s">Image Selection</a> | <a href="%s">Image Assignment</a> | <a href="%s">Usage Notes</a>', 
               'cks_fatf'), 
               '#image-selection', 
               '#image-assignment',
               '#cks_fatf-usage-notes' ) ; ?>  
        </p>

        <div id="fatf-settings" class="ck-usage-notes">
            
            <h3><?php _e( 'Global Settings', 'cks_fatf' ) ; ?></h3>

            <table class="form-table">

                 <tr valign="top">
                     <th valign="top" scope="row">
                         <label><?php _e('Fall Back to Post Image if Available', 
                                 'cks_fatf') ; ?></label>
                     </th>
                     <td>
                        <input type='checkbox' name='cks_fatf_use_post_image' <?php 
                        checked( $use_post_image, 1 ) ; ?> value='1'>
                        <span class="description"><?php _e( 
                         'Check '
                        . 'to use the first <b>attached</b> image from post content, '
                        . 'if available, when no thumbnail/featured image has been set.'
                        . '(Images added from the Media Library or externally linked, '
                        . 'rather than uploaded to post, will not be included.)' 
                        , 'cks_fatf' ) 
                        ; ?></span>  
                     </td>
                </tr>
                <tr valign="top">
                    <th scope="row">
                        <label for="cks_fatf_exclude_category"><?php _e(
                            'NEVER FALL BACK TO:' , 
                               'cks_fatf' ) ; 
                        ?></label>
                    </th>
                    <td>
                        <textarea name='cks_fatf_exclude_category'><?php 
                        echo esc_attr( $excluded_categories ) ; ?></textarea>			
                        <span class="description"><?php _e( 
                                'DO NOT Fall Back to These Post Categories, Tags, '
                                . 'or Taxonomies. Use Category, Tag, or Custom '
                                . 'Taxonomy Name, or Comma-Separated List.'
                                    . '- for example: <code>Science, War</code>. ', 
                                    'cks_fatf') ; 
                        ?></span>              

                    </td>
                </tr>
                <tr valign="top">
                                 <th valign="top" scope="row">
                         <label><?php _e('Use Excluded Term\'s Image or Images '
                                 . 'if No Other Term Images Available', 
                                 'cks_fatf') ; ?></label>
                     </th>
                     <td>
                        <input type='checkbox' name='cks_fatf_excluded_last_resort' 
                        <?php checked( $excluded_last_resort, 1 ) ; ?> value='1'>
                        <span class="description"><?php _e( 
                        'Use Images from the Never Fall Back To Categories, Tags, '
                        . 'or Custom Taxonomy Names if no option '
                        . 'other than Global Fallback is available. '
                        . 'In effect, this option will set all listed '
                        . 'Categories, Tags, or Custom Taxonomy Names '
                        . 'as second lowest-priority fallback options '
                        . 'above Global Fallbacks.' 
                        , 'cks_fatf' ) 
                        ; ?></span>  
                     </td>

                </tr>

                <tr valign="top">
                    <th scope="row">
                        <label for="cks_fatf_exclude_if_categories"><?php _e(
                            'NEVER FALL BACK IN/FROM:' , 
                               'cks_fatf' ) ; 
                        ?></label>
                    </th>
                    <td>
                        <textarea name='cks_fatf_exclude_if_categories'><?php 
                        echo esc_attr( $exclude_if_categories ) ; ?></textarea>			
                        <span class="description"><?php _e( 
                        'Exclude These Post Categories, Tags, or Taxonomies '
                        . 'from Category or Global Fallback. '
                        . 'Regular Featured Images and (if set above) Post Images '
                        . 'will still appear when available. '
                        . 'Otherwise, posts with these particular categories '
                        . 'assigned will show <b>no</b> featured/thumbnail images. '
                        . 'Category, Tag, or Custom Taxonomy Name, or '
                        . 'Comma-Separated List - for example: '
                                . '<code>Science, War</code>.  ', 
                            'cks_fatf') ; 
                ?></span>              

                    </td>
                </tr>
                <tr valign="top">
                     <th valign="top" scope="row">
                         <label><?php _e('Assign Fallback Image on Publication', 
                                 'cks_fatf') ; ?></label>
                     </th>
                     <td>
                        <input type='checkbox' name='cks_fatf_always_assign' <?php 
                        checked( $always_assign, 1 ) ; ?> value='1'>
                        <span class="description"><?php printf( __( 
                         'Check if you want '
                        . 'to <strong>assign</strong> images to posts as featured images when published '  
                        . 'instead of re-loading new randomly chosen ones on each page refresh '
                                . '(the default behavior). Why assign images? '
                                . 'See %s"Image Assignment Options"%s.', 'cks_fatf' ) , 
                                '<a href="#assign-info" title="Go to Image Assignment notes">', '</a>' )
                        ; ?></span>  
                     </td>
                        
                </tr>
                <tr valign="top" class="<?php echo $yoast_active_class ; ?>" >
                     <th valign="top" scope="row">
                         <label><?php _e('Use Yoast Primary Category', 
                                 'cks_fatf') ; ?></label>
                     </th>
                     <td>
                        <input type='checkbox' name='cks_fatf_use_yoast_primary' <?php 
                        checked( $use_yoast_cat, 1 ) ; ?> value='1'>
                        <span class="description"><?php _e( 
                         'Check if you want '
                        . 'to fall back to the Yoast SEO "Primary Category" '
                                . 'when available.', 'cks_fatf' )
                        ; ?></span>  
                     </td>
                </tr>
                <tr>
                    <th colspan="3">

                        <?php submit_button( __( 'Save All Changes', 'cks_fatf' ) ); ?>

                    </th>
                </tr>
            </table>

            <hr> 

            <h3 id="image-selection"><?php _e( 'Image Selection', 'cks_fatf' ) ; ?></h3>

            <p><?php printf( 
                    __('Category, Tag, and Customy Taxonomy images are set '
                            . 'in particular %sPost Categories%s or %sTags%s, '
                            . 'or in Custom Taxonomy edit forms. '
                            . 'Global Fallback Images are added using the button below.', 'cks_fatf' ),
                    '<a href="' . admin_url( 'edit-tags.php?taxonomy=category') . '">', '</a>',
                    '<a href="' . admin_url( 'edit-tags.php?taxonomy=post_tag') . '">', '</a>' ) ; ?>
            </p>
             <p><?php _e( 
                 'You can add multiple images to each Category, Tag, or Custom Taxonomy, '
                     . 'as well as to Global Fallback Images. The image actually used at any given point will be selected randomly from the set.', 'cks_fatf' ) ; ?>
            </p>
            <p><?php _e( 'Check the checkboxes, and save, to add '
                    . 'Category, Tag, or Custom Taxonomy images '
                    . 'to Global Fallback Images. '
                    . 'Click "x" to remove them from whichever set - '
                    . 'they will still remain in your Media Library '
                    . 'unless deleted there.', 'cks_fatf' ) ; ?>
            </p>

            <table class="form-table">

                <tr id="cks_fatf_cat_image_select-row">

                    <th><label for="cks_fatf_cat_images"><?php _e( 
                            'Images Selected', 'cks_fatf' ) ; 
                    ?></label></th>
                    <td>
                        <?php cks_fatf_cat_image_select( $images ) ; ?>
                        <span class="description"></span>

                    </td>
                </tr>

                 <tr class="form-field">
                     <th valign="top" scope="row">
                         <label><?php _e('Upload New Global Fallbacks, or Select from Media Library', 'cks_fatf') ; ?></label>
                     </th>
                     <td>

                         <input id="fatf-featured-image" type="hidden" name="cks_fatf_global_fallback"  value="NULL" />

                         <div id="fatf-thumbnail" class="fatf-thumbnail">

                         <input id="fatf-change-image" class="button" type="button" value="<?php _e('Add New Image(s)', 'cks_fatf') ; ?>" />


                         </div>
                         <p style="display:none;" id="fatf-new-global"><?php submit_button(
                                 __( 'Save All Changes', 'cks_fatf' ), 'primary', '', false, array( 'style' => 'display: none;', 'id' => 'add-to-gf-button') ) ; ?></p>
                         <p id="cancel-addition" style="display:none;"><input id="cancel-addition-button" class="button" type="button" value="<?php _e('Cancel Addition', 'cks_fatf') ; ?>" />
                         </p>
                     </td>
                 </tr>

            </table>
            <?php wp_nonce_field( 'cks_fatf_settings', '_fatf_settings_nonce' ) ; ?>

        </form>

        <?php cks_fatf_assign() ; ?>
    
</div>
    
    <?php cks_fatf_usage_notes() ; ?>
    
    <?php cks_fatf_shortcodes_and_functions() ; ?>


    </div> <!-- END cks_plugins_main -->

    <?php cks_fatf_sidebar( $version ) ; ?>

    <?php cks_fatf_plugins_footer( $version ) ; ?> 

</div><!-- END wrap cks_plugins -->

<?php 

/**
 * ASSIGN IMAGES
 * code template borrowed from cks_rui reset
 */
function cks_fatf_assign() {
    
    $assigned_taxes = get_option('cks_fatf_ass_taxes') ;
    
    ?>
    <hr>
    <form action="" method="post" name="cks_fatf_assign">

        <h3 id="image-assignment"><?php _e( 'Assign Images', 'cks_fatf' ) ; ?></h3>  
        
        <p>
            <?php _e( '<strong>NOTE:</strong> The process of assigning and deleting images '
                . 'may be time- and resource-intensive. If you have a large database of posts (1,000+) '
                . 'without their own featured images already assigned, '
                . 'consider working with them one category, tag, or other taxonomy '
                . 'at a time, instead of all at once. '
                . 'The same goes, naturally, '
                . 'if you\'re happy with your set-up for the most part, '
                . 'but just want to update a certain group of posts.  ', 'cks_fatf' ) ; ?>
            <?php printf( __( 
                '(Why assign images? See %s"Assigning Fallback Images"%s.', 'cks_fatf' ) , 
                       '<a href="#assign-info" title="Go to Image Assignment notes">)', '</a>' )
               ; ?>
        </p>
        
        <table class="form-table">
            <tr valign="top">
                <th scope="row">
                    <label for="tax_string"><?php _e(
                        'Include These Taxonomies Only:' , 
                           'cks_fatf' ) ; 
                    ?></label>
                </th>
                <td>
                    <textarea name='tax_string'><?php 
                    echo esc_attr( $assigned_taxes ) ; ?></textarea>			
                    <span class="description"><?php _e( 
                            'Assign fallbacks as "real" featured images '
                            . 'to posts in these categories, tags, or custom taxonomies. '
                            . 'Leave blank for "all" - '
                            . 'but note that large databases may require significant time to be processed. '
                            .  'Use taxonomy Name, or Comma-Separated List.'
                            . '- for example: <code>Science, War</code>. ', 
                                'cks_fatf') ; 
                    ?></span>              

                </td>
            </tr>

            <tr valign="top">
                <th scope="row">
                    <label for="tax_string">
                        <?php _e( 'Image Assignment', 'cks_fatf') ; ?>
                    </label>
                </th>
                <td>
                    <p class=admin-radio" style="clear: both; margin-top: 0; overflow: auto; padding-bottom: 12px;">
            <input id="cks_fatf-assign-images" type="radio" name="_assign" title="<?php _e( 
                    'Assign Fallbacks', 'cks_fatf' 
                    ) ; ?>" value="assign" checked /><?php _e( 
                            'Assign Fallback Images to Posts', 'cks_fatf' ) ; ?><span class="description"><?php 
                            _e( 'Instead of newly re-posting fallback images whenever '
                               . 'a page is re-loaded, '
                               . 'assign them one-to-one to posts as standard featured images.', 'cks_fatf' ) ; 
                            ?></span></p>
                    <p class=admin-radio" style="clear: both; margin-top: 0; overflow: auto; padding-bottom: 12px;">

                        <input id="cks_fatf-delete-assignments" type="radio" name="_assign" title="<?php _e( 'Delete Fallbacks', 'cks_fatf' ) ; ?>" value="delete" /><?php _e( 'Remove Image Assignments', 'cks_fatf' ) ; ?><span class="description"><?php _e( 'Removes assigned images and accompanying data. (The images themselves will be unaffected and remain in your Media Library.)', 'cks_fatf' ) ; ?></span>
                    </p>
                    <p class=admin-radio" style="clear: both; margin-top: 0; overflow: auto; padding-bottom: 12px;">
                        <input id="cks_fatf-delete-and-assign" type="radio" name="_assign" title="<?php _e( 'Delete and Re-Assign', 'cks_fatf' ) ; ?>" value="delete_and_assign" /><?php _e( 'Remove, then Re-Assign', 'cks_fatf' ) ; ?><span class="description"><?php _e( 'Delete all Assignments, then Create New Ones', 'cks_fatf' ) ; ?></span>
                    </p>
                    <p>

                    <input id="cks_plugins-fatf-assign" style="margin-top: 12px;" type="submit" onclick="return confirm( '<?php _e( 'Are you sure? Image assignment and re-assignment can tax resources, especially on large post databses.', 'cks_fatf' ) ?>' )" value="<?php _e( 'Do It!', 'cks_fatf' ) ; ?> " title="<?php _e( 'Do It', 'cks_fatf' )?>" />
                    </p>
                </td>
            <tr>


        </table>
                <?php wp_nonce_field( 'cks_fatf_assign', '_fatf_assign_nonce' ) ; ?>
    </form>
    
    <?php
    
}

/**
 * ADDS VERSION INFO TO SIDEBAR
 * @param string $version
 */
function cks_fatf_sidebar( $version ) {

    ?>

    <div id="cks_plugins-sidebar">

        <?php cks_fatf_illustrations() ; ?>

        <div id="cks_plugins-version" class="sidebar-version">

            <p>Image Fallbacks<br>Version <?php 
                echo $version ; 
            ?><br><i>by CK MacLeod</i></p>

        </div>
        
            <?php cks_fatf_tip_jar() ; ?>

    </div>

<?php  

}

/**
 * CHANGE TO ADD IMAGE TO GFs option
 * CATEGORY IMAGE SELECTION MENU
 * @param array $images
 */
function cks_fatf_cat_image_select( $images ) {
    
     echo '<div id="fatf-cat-image-select" class="fatf-cat-image-select">' ;
     
     $tags = $cats = $taxes = '' ;
     
     $global_fallback = get_option( 'cks_fatf_global_fallback ') ;
    
    if ( $images ) {
    
        foreach ($images as $term_id => $image_arr ) {
            //happens to cure stray error, possibly left over from cfix upgrade testing...
            if ( $term_id ) {

                $term_name = get_term( $term_id )->name ;
                $taxonomy = get_term( $term_id )->taxonomy ;

                $terms[] = array( $term_id, $term_name, $taxonomy, $image_arr ) ; 

            }
                    
        }

    }
        
        foreach ( $terms as $term ) {
            
            $term_types[] = $term[2] ;
            natcasesort( $term_types ) ;
            
        }
        
        $term_types = array_unique( $term_types ) ;
        
        foreach ( $term_types as $term_type ) {

            echo '<div id="fatf-select-category-images" class="fatf-select-images">' ;

            $tax_name = get_taxonomy( $term_type )->label  ;
            
            echo '<h4>' . $tax_name . '</h4>' ;

            foreach ( $terms as $term ) {
                
                if ( $term[2] === $term_type  && $term[1] ) {
                
                    echo '<div id="select-images-' . $term[0] 
                        . '" class="select-images-box" >
                            <a href="' . admin_url(
                            '/term.php?taxonomy=' . $term[2] . '&tag_ID=' 
                            . $term[0] . '&post_type=post') 
                    .'" class="select-image-title fatf-cat-image-link" " ' 
                        . '" data="' . $term[1] . '">' . $term[1] . '</a>' ;

                    if (is_array( $term[3]) ) {
                        
                            foreach ( $term[3] as $image ) {

                            echo cks_fatf_get_cat_select_image( 
                                $term[0], $term[1], $term[2], $image ) ;

                        }
                    
                    }
                    
                    echo '<input type="checkbox" '
                    . 'name="add_to_gf[]" '
                            . 'id="add_to_gf-' 
                            . $term[1] 
                            . '" class="a2gf" '
                            . 'title="Add Images to Global Fallback"'
                            
                            . 'value="' . $term[0] . '">'
                            . '<span style="font-size: 10px; display: block; float: right;" '
                            . 'class="label add-to-global">Add to<br/>Global</span>';
                    
                    echo '</div>' ; //select-images-

                }

            
            }
            
            echo '</div>' ; //fatf-select-images
      
            
        }
            
        submit_button( __( 'Save All Changes', 'cks_fatf' ) ); 
                    
        if ( $global_fallback ) {
            
                $i = 0 ;
                
                $global_fallback = array_unique( array_filter( $global_fallback) ) ;
                
            echo '<div id="fatf-select-tag-images" class="fatf-select-images">' ;
            
            echo '<h4>' . __( 'Global Fallback Images:', 'cks_fatf') . '</h4>' ;
            
            foreach ( $global_fallback as $gfb ) {
                
                $i++;
                        
                $gfb_arr = array( 'gf-' . $i, 'Global Fallback Image - Number ' . $i, 
                    'Global Fallback Image - Number ' . $i, $gfb ) ;

                echo cks_fatf_get_gf_select_image( 
                        $gfb_arr[0], $gfb_arr[1], $gfb_arr[2], $gfb_arr[3] ) ;

            }
    
        } 
        
        echo '</div>' ;  //id="fatf-cat-image-select" class="fatf-cat-image-select"
    
        if ( ! $images && ! $global_fallback ) {

            echo '<div id="fatf-select-category-images" class="fatf-select-images">' ;

            echo '<h4>No Images Created Yet</h4>' ;

            echo '</div>' ;

        }
    
}

function cks_fatf_get_gf_select_image( $cat_id, $cat_name, $tax, $image ) {
    
    $html = '<div class="fatf-image-select-item fatf-gf-select-item">'
            . '<a '
            . 'id="' . $image . '" '
            //. 'class="fatf-cat-image-link" '
            . 'alt="' . $cat_name 
            . '" title="' . $cat_name . __( ' Image', 'cks_fatf')
            . '" data="' . 'Attachment ID ' . $image
            . '" href="' . wp_get_attachment_url( $image )
            .'">' 
            . wp_get_attachment_image( 
                $image, array( 50,50 ), false, 
                    array( 

                        'class' => 'fatf-cat-image', 
                        'data'  => $cat_name ,
                        'alt'   => $cat_name ,
                        'title' => $cat_name . __( ' Image', 'cks_fatf'), 

                    ) 

            ) . '<span class="gf-image-id">' . $image . '</a>' ;
    $html .=   '<a id="remImage' . $image . '" class="remImage" name="' 
                . $image 
                .'" href="#" alt="Remove from Group" title="Remove from Group" >' . __('x') 
                . '</a>
            <input type="hidden" id="att_remove-' . $image . '" " name="att_remove[]" value="' 
                .  $image . '"  />
            <input type="hidden" name="nonce" id="nonce" value="' 
                .  wp_create_nonce( 'delete_attachment' ). '" />' 
                . '</div>';
    
    return $html ;
    
}

function cks_fatf_get_cat_select_image( $cat_id, $cat_name, $tax, $image ) {
    
        $html = '<div class="fatf-image-select-item fatf-cat-select-item">'
                    . '<a '
                    . 'id="' . $image . '-' . $cat_id . '" '
                    . 'alt="' . $cat_name 
                    . '" title="' . $cat_name . __( ' Image', 'cks_fatf')
                    . '" data="' . $cat_name 
                    . '" href="' . wp_get_attachment_url( $image )
                    . '" >'
                    .  wp_get_attachment_image( 
                        $image, array( 50,50 ), false, 
                            array( 
                                
                                'class' => 'fatf-cat-image', 
                                'data'  => $cat_name ,
                                'alt'   => $cat_name ,
                                'title' => $cat_name .  __( ' Image', 'cks_fatf'), 
                                
                            ) 
                            
                    ) . '</a>' ;

    $html .=   '<a class="remcImage" id="remcImage' . $image . '-' . $cat_id .'" name="' 
                . $image 
                .'" data="' . $cat_id . '" '
                . 'href="#">' . __('x') 
                . '</a>
            <input type="hidden" id="att_remove-' . $image . ' name="att_remove[]" value="' 
                .  $image . '" />
            <input type="hidden" name="nonce" id="nonce" value="' 
                .  wp_create_nonce( 'delete_c_attachment' ). '" />' 
                . '</div>' ;
                
    return $html ;
    
}

/**
* USAGE NOTES
*/
function cks_fatf_usage_notes() {

    ?>

    <div id="cks_fatf-usage-notes" class="ck-usage-notes">

        <h3><?php _e( 'Usage Notes', 'cks_fatf' ) ; ?></h3>
        
        <h4><?php _e( 'Adding Images', 'cks_fatf' ) ; ?></h4>

        <p><?php 
            _e('For this plug-in to work, you will to have added images '
                    . 'to particular Categories, Tags, Custom Taxonomies '
                    . '(on the pages where you create or edit them), o'
                    . 'r to Global Fallbacks, '
                    . 'or have images already attached to particular posts. ', 'cks_fatf' ) ; ?></p>
        
        <h4><?php _e( 'Selection Priority', 'cks_fatf' ) ; ?></h4>
        
        <p><?php _e( 
            'Under the default settings, regular Featured images will be used if set.' , 'cks_fatf' ) ; ?>
        </p>
        <p><?php _e( 
            'If no Featured Image has been set, the plug-in will first look '
                . 'for a post or other item\'s "attached images" - '
                . 'which will usually, but not always, '
                . 'be present in a post as displayed. '
                . 'The first one found (typically the first one added) will be used.', 'cks_fatf' ) ; ?>
        </p>
         <p><?php _e( 
            'If there is no attached image, '
                 . 'the plug-in will look for an image or images '
                 . 'from the post\'s own "Terms" (Categories, Tags, or Custom Taxonomies), '
                 . 'and use the image or images from either the most recently added Term or, '
                 . 'if Yoast SEO is active and this option has not been disabled via FATF Settings above, '
                 . 'from  the post\'s "Primary Category." '
                 . '<b>If more than one image has been added for the Term, '
                 . 'the one used will be selected randomly from the available set.</b>', 'cks_fatf' ) ; ?>
        </p> 
        <p><?php _e( 
            'If there are no Term Images available, the plug-in will look for images from Parent Categories. '
                . 'If there are multiple images set for the Parent Category, '
                . 'the one used will be selected randomly from among them. ', 'cks_fatf' ) ; ?> 
        </p>
         <p><?php _e( 'If no post or term images are found, the plug-in will look for Global Fallback Images. If multiple Global Fallback Images have been set, it will select from among them randomly.', 'cks_fatf' ) ; ?></p>
        <!--
        <h4 id="assign-info"><?php _e( 'Terms Filter', 'cks_fatf' ) ; ?></h4>
        <p><?php // _e( 'Advanced users can alter the "terms" - '
            //    . 'for instance to narrow down or re-order multiple eligible categories and tags, '
            //    . 'using the <code>\'cks_if_post_terms\'</code> filter. For details on usage, visit the plugin homepage.', 'cks_fatf' ) ; ?></p>
         -->
        <h4 id="assign-info"><?php _e( 'Assigning Fallback Images', 'cks_fatf' ) ; ?></h4>
        <p><?php _e( '<b>Why assign images?</b> Short answer: '
                . 'Because it will improve performance, sometimes noticeably, '
                . 'and because it will make using Ajax-based functions easier. '
                . 'Why not? Because you might be fine with a few random selections, '
                . 'and not have to worry about updating your entire post database.', 'cks_fatf' ) ; ?></p>
          <p><?php _e( 'By default, this plug-in provides fallback images '
                  . 'when a page loads (or is refreshed) post by post. '
                    . 'Even in the simplest cases - '
                    . 'where an image is found in the post '
                    . 'or its category has one image, '
                    . 'the process adds some small "overhead" to page-loading. '
                    . 'Also, when you have created multiple images for multiple categories, tags, and other terms, '
                    . 'the images assigned to particular posts will typically change from load to load. '
                    . 'In archives, widgets, or other applications that use featured images, '
                    . 'the overall effect on page loading can grow noticeably. ', 'cks_fatf' ) ; ?>
        </p>
        <p>
            <?php _e( 'Finally, many external functions - like page-builders '
                    . 'and other "live" editors - extract images from the database, '
                    . 'and will bypass this plug-in\'s functions. ', 'cks_fatf' ) ; ?>
        </p>
        <p>
            <?php _e( 'Because', 'cks_fatf') ; ?> 
         </p>   
        <ol>
            <li><?php _e( 'This effect can be confusing to users, ', 'cks_fatf' ) ; ?> </li>
            <li><?php _e( 'The process of selecting new images over again can increase page load times, and ', 'cks_fatf' ) ; ?> </li>
            <li><?php _e( 'processes like Ajax "load-more" or front end editors may bypass plugin defaults, ', 'cks_fatf' ) ; ?> </li>
        </ol>
        <p>
            <strong><big><?php _e( 'Image Fallbacks also lets you assign '
                    . 'the images as "real" featured images.', 'cks_fatf') ; ?></big></strong>
        </p>
        <p>
            <?php _e( 'These image assignments are also revisable. '
                    . 'If you choose to "always assign" on post publication, '
                    . 'then images set by that method will also be revised '
                    . 'if included by taxonomy.', 'cks_fatf' ) ; ?>
        </p>
        <p>
            <?php _e( 'Though the process can be somewhat time-consuming, '
                    . 'it may result in significant page-speed improvements, '
                    . 'especially if functions in your installation '
                    . '- like long lists of posts with thumbnails - use thumbnail images extensively, '
                    . 'and you have many posts without featured images set.', 'cks_fatf' ) ; ?>
        </p>
    </div>

    <?php
        
}

/**
 * ADDITIONAL USAGE NOTES
 */
function cks_fatf_shortcodes_and_functions() {
    
    ?>

    <div id="shortcodes" class="ck-usage-notes">

        <h3><?php _e( 'Shortcode/PHP Functions', 'cks_fatf') ; ?></h3>
        
        <p>
            <?php _e( 'The plugin provides two options, usable as either functions or shortcode, for deploying Fallback images in other places: To display Tag or Category Fallback image, use <code>[fatf_featured_image]</code> in a Post or <code>fatf_featured_image()</code> in a template. To get the image url, use <code>fatf_featured_image_url()</code>. The following optional arguments are available:', 'cks_fatf' ) ; ?>
        </p>

        <ul>
            <li><?php _e( '\'size\': \'thumbnail\', \'medium\', \'large\', \'full\'', 'cks_fatf') ; ?></li>
            <li><?php _e( '\'class\': class of the image tag', 'cks_fatf') ; ?></li>
            <li><?php _e( '\'alt\': alternative text of the image tag', 'cks_fatf') ; ?></li>
            <li><?php _e( '\'title\': title of the image tag', 'cks_fatf') ; ?></li>
            <li><?php _e( '\'cat_id\': specific Category (or Tag) id', 'cks_fatf') ; ?></li> 
            <li><?php _e( '\'post_id\': specific Category (or Tag) id - will override <code>cat_id</code> if both set', 'cks_fatf') ; ?></li> 
        </ul>

        <p>
            <?php _e( 'Shortcode example:', 'cks_fatf') ; ?>
        </p>

        <p>
            <code><?php _e( 
                '[fatf_featured_image size="large" '
                . 'title="This is a test..." class="my-image" '
                . 'alt="My image"]', 'cks_fatf') ; 
            ?></code>
        </p>

        <p><?php _e( 'Function example 1:', 'cks_fatf') ; ?></p>

        <p>
            <code><?php _e( 'echo fatf_featured_image( array( '
                . '\'size\' => \'large\', '
                . '\'title\' => \'Category 4081 Image\', '
                . '\'class\' => \'fatf-image\', '
                . '\'alt\' => \'Category 4081 Image\', '
                . '\'cat_id\' => 4081 ) ) ;', 'cks_fatf')
				; 
            ?></code>
        </p>
        <p><?php _e( 'Displays the "large" version of the image '
                . 'with the assigned class and info, '
                . 'from the Category with ID #4081, '
                . 'in a function or template. '
                . 'Category ID does <b>not</b> need to be specified '
                . 'if used within the WordPress Loop as, for example, a substitute for a Featured Image function.', 'cks_fatf' ) ; ?></p>

        <p><?php _e( 'Function example 2:', 'cks_fatf') ; ?></p>

        <p><code><?php _e( 'fatf_featured_image_url( array( '
                . '\'size\' => \'large\', \'post_id\' => 1 ) );', 'cks_fatf') ; 
        ?></code></p>
        <p><?php _e( 'Gets the URL for the large-size Fallback image '
                . 'assigned to Post ID #1 '
                . '("Hello World!" on default installations).', 'cks_fatf' ) ; ?></p>
        
        
    </div>    

        <?php
        
}

/**
 * CK'S DONATION FORM
 * Outputs Paypal "Tip Jar"
 */
function cks_fatf_tip_jar() {
    
    ?> 
    
    <div class="ck-donation">
                
        <p><?php _e( 'If you think this plug-in saved you time, or work, '
                . 'or anxiety,<br>or money, or anyway<br>'
                . 'you\'d like to see more work like this...', 'cks_fatf' ) ; 
        ?></p>

        <div id="sos-button">

            <form id="sos-form" action="https://www.paypal.com/cgi-bin/webscr" 
                  method="post" target="_top">
                
                <input name="cmd" type="hidden" value="_xclick" />
                <input name="business" type="hidden" 
                       value="ckm@ckmacleod.com" />
                <input name="lc" type="hidden" value="US" />
                <input name="item_name" type="hidden" value="Tip CK!" />
                <input name="item_number" type="hidden" 
                       value="FATF" />
                <input name="button_subtype" type="hidden" value="services" />
                <input name="no_note" type="hidden" value="0" />
                <input name="cn" type="hidden" 
                       value="Add special instructions or message:" />
                <input name="no_shipping" type="hidden" value="1" />
                <input name="currency_code" type="hidden" value="USD" />
                <input name="weight_unit" type="hidden" value="lbs" />

                <div id="ck-donate-submit-line">
                    
                    <input id="sos-amount" 
                           title="Confirm or not when you get there..." 
                           name="amount" type="text" value="" 
                           placeholder="$xx.xx" />
                    <input id="sos-submit" title="Any amount is very cool..." 
                           alt="Go to Paypal to complete" 
                           name="submit" type="submit" value="<?php _e( 
                                   '...tip me!', 'cks_fatf' ) 
                                   ?>" />
                </div>

            </form>

        </div>

    </div>
    
    <?php
}

/**
 * SIDEBAR ILLUSTRATIONS
 * captions and images change 
 * @param array $options
 */
function cks_fatf_illustrations() {
    
    ?>
    
    <div class="ck-illustrations">

        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/screenshot-3.jpg" alt="<?php _e( 'Before Image', 'cks_fatf') ; 
        ?>" > 

        <p class="cks_plugins_admin-caption"><?php _e( 'Before', 'cks_fatf' ) ; 
        ?></p>  

        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/screenshot-4.jpg" alt="<?php _e( 'After Image', 'cks_fatf' ) ; 
        ?>" >

        <p class="cks_plugins_admin-caption"><?php _e( 'After', 'cks_fatf' ) ; 
        ?></p>
        
        <img src="<?php echo plugin_dir_url( __FILE__ ) ; 
        ?>images/screenshot-5.jpg" alt="<?php _e( 'Category Edit', 'cks_fatf' ) ; 
        ?>" >

        <p class="cks_plugins_admin-caption"><?php _e( 'Category Edit', 'cks_fatf' ) ; 
        ?></p>

    </div>
    
    <?php
    
}

/**
 * CK'S PLUGINS FOOTER
 * @param string $version
 */
function cks_fatf_plugins_footer( $version ) {
    
    $plugin_home_page = 'https://ckmacleod.com/wordpress-plugins/'
            . 'image-fallbacks/'; 
    
    ?>
    
    <div id="cks_plugins_admin-footer">

        <a target="_blank" id="link-to-cks-plugins" 
           href="http://ckmacleod.com/wordpress-plugins/"><img src="<?php 
           echo plugin_dir_url( __FILE__ ) ; 
           ?>images/cks_wp_plugins_200x40.jpg"></a>
        
        <a target="_blank" id="link-to-cks-plugins-text" 
           href="http://ckmacleod.com/wordpress-plugins/">All CK's Plug-Ins</a>
        
        <a target="_blank" id="ck-home" href="<?php 
        echo $plugin_home_page ; 
        ?>">Plug-In Home Page</a>
        
        <a target="_blank" id="ck-faq" href="<?php 
        echo $plugin_home_page ; 
        ?>frequently-asked-questions/">FAQ</a>
        
        <a target="_blank" id="ck-style" href="<?php 
        echo $plugin_home_page ; 
        ?>download-changelog-installation/">Changelog</a>
        
        <a target="_blank" id="ck-help" href="<?php 
        echo $plugin_home_page ; 
        ?>support/">Feedback and Requests:<br>Contact CK</a>
        
        <a id="ck-support" class="<?php 
        echo ($version < 1 ) ? 'pre-wp-beta' : 'wordpress-link' ; ?>" 
           href="<?php echo 
           ($version < 1) ? '#" title="Beta: Not Yet at Wordpress.org"' : 
           'http://wordpress.org/support/plugin/category-featured-images-'
                   . 'extended/" target="_blank"' 
                   ?>">Support at Wordpress</a>
        
        <a id="ck-rate" class="last-link<?php echo ($version < 1 ) ? 
        ' pre-wp-beta' : ' wordpress-link' ; ?>" href="<?php echo 
        ($version < 1) ? '#" title="Beta: Not Yet at Wordpress.org"' : 
                'http://wordpress.org/support/view/plugin-reviews/category-'
                . 'featured-thumbnail-fallbacks/" target="_blank"' ; 
        ?>" >&#9733; &#9733; &#9733; &#9733; &#9733;<br>Rate This Plugin!</a> 

    </div>
    
    <?php
    
}