/* 
 * FRONT END JQUERY
 * LINK-POSTS AGGREGATOR
 * Author: CK MacLeod
 * Version: 0.995
 * Date: September 2016
 */

// Open/Close functionality for Link-Posts
 jQuery( document ).ready( function( $ ) {
     
     //hides "selected" div, shows hidden div, adds class for later use
     $( ".cks_lp-plus" ).on( "click", function() {
         
         $( this ).parent().addClass( "selected" ).toggle();
         
         $( this ).parent().next().addClass( "selected" ).toggle();
         
     } );
     
     //reverses the above
     $( ".cks_lp-minus" ).on( "click", function() {
         
         $( this ).parent().toggle();
         
         $( this ).parent().prev().toggle();
         
     } );
     
     //clickable symbol does the same as the above
     $( ".cks_lp-minus-bottom" ).on( "click", function() {
         
         $( this ).parents( ".selected" ).toggle();
         
        var el = $( this ).parents( ".selected" ).prev();
         
        el.toggle();
         
        var scroller = el.height();
         
        $( "html,body" ).animate( {
             
             scrollTop: $( el ).position().top - scroller 
         
        }, 200 );
         
     } );
         
 } );


//formats titles if with colon/dash combo
//and style applied as in "ADD CSS"
 jQuery( document ).ready( function( $ ) {
    
    $( "a.cks_lp-title-link" ).each( function(){
        
        // select and style portion of phrase up to colon
        var text_split = $( this ).html().split( ": " );
        
        if (text_split.length > 1) {
        
            $( this ).html( "<span class='cks_lp-author'>" + 
                text_split.shift() + "</span>: " + text_split.join( ": " ) ); 
        
        }
        
        //select and style portion of phrase after dash
        var text_split_again = jQuery( this ).html().split( " – " );
        
        if (text_split_again.length > 1) {
        
            $( this ).html(text_split_again.shift() + 
                " - <span class='cks_lp-source'>" + 
                text_split_again.join( " – " ) + "</span>" ); 
        
        }
    
    } );

} );