/* 
 * WIDGET-ONLY JQUERY
 * LINK-POSTS AGGREGATOR
 * Author: CK MacLeod
 * Version: 0.995
 * Date: September 2016
 */

/**
 * accordion functions for linkposts widget
 */
jQuery( document ).ready( function( $ ) {
    
    function lpaInitAccordion() {

        // Main logic for accordion headers links.
        $( ".lpa-wdg-accordion dt a" ).on( "click", function( e ) {

            // Preventing default behaviour.
            e.preventDefault();

            // Preventing double click on the same accordion tab.
            if( $(this).hasClass( "active" ) ) return;

            // Removing highlight from all headers links.
            $( ".lpa-wdg-accordion-item" ).removeClass( "active" );
            
            $( ".lpa-expand-arrow" ).fadeIn();

            // Highlighting current header link.
            $(this).addClass( "active" );

            // Hide previously open accordion tab.
            $( "dl.lpa-wdg-accordion dd" ).slideUp();
            
            $( ".active .lpa-expand-arrow" ).fadeOut();

            $( this ).parent().next().slideDown();

        } );

    }
    
    function lpaOnWidgetUpdate( event, widget ) {

		// Reinitializing accordion.
		lpaInitAccordion();
                
	}
	
	// The widget update WP event.
	$( document ).on( "widget-added widget-updated", lpaOnWidgetUpdate );

	// Initializing accordion.
	lpaInitAccordion();

} );