<?php

/* 
 * MIGRATE OPTIONS FOR OTHER VERSIONS
 * LINK-POSTS AGGREGATOR
 * Author: CK MacLeod
 * Version: 0.995
 * Date: September 2016
 */

defined( 'ABSPATH' ) or die( 'Plugin file cannot be accessed directly. ' ) ;

/**
 * CONVERT NUMERIC CAT IDS TO CATEGORY IDS
 * earlier version of Link-Posts used Cat IDs
 * called only if $options[$option_name] is not empty
 * @param string $cats
 * return string
 */
function cks_lpa_migrate_cats( $cats ) {
    
    $cat_names = array() ;
    
    $cat_arr = explode(',', $cats );
    
    foreach ( $cat_arr as $cat_id ) {
        
        if ( is_numeric( $cat_id ) ) {
        
        $cat_names[] = get_cat_name( $cat_id ) ;
        
        } 
        
    }
    
    if ( ! empty( $cat_names) ) {
    
    $new_cat_names = implode(',', $cat_names ) ;
    
    return $new_cat_names ; 
    
    } else {
        
    return $cats ;
    
    }
    
}

/**
 * CONVERT SETTINGS from pre-93 and pre-99 Betas 
 * that used longer key names beginning "cks_lpa_"
 * @param array $legacy_options
 * @return array
 */
function migrate_lpa_pre93( $legacy_options ) {
    
    $new_keys = array() ;
    $new_values = array() ;
    
    foreach( $legacy_options as $key => $value ) {
            
            $new_keys[] = str_replace( 'cks_lpa_', '', $key ) ;
            
            $new_values[] = $value ;
            
    }
    
    $converted_options = array_combine( $new_keys, $new_values ) ;
    
    //pre-99 conversions
    //straight equivalences
    if ( isset( $converted_options['alt_url'] ) ) {
        
        $converted_options['right_url'] = $converted_options['alt_url'] ;
        
    }
    
    
    if ( isset( $converted_options['parent_title'] ) ) {
        
        $converted_options['left_title'] = $converted_options['parent_title'] ;
        
    }
    
    if ( isset( $converted_options['alt_par_url'] ) ) {
        
        $converted_options['left_url'] = $converted_options['alt_par_url'] ;
        
    }
    
    if ( isset( $converted_options['hide_cat'] ) && $converted_options['hide_cat'] == 1 ) {
        
        $converted_options['show_right'] = 0 ;
    }
    
    
    if  ( isset( $converted_options['hide_parent'] ) ) {
        
        $converted_options['show_left'] = $converted_options['hide_parent'] ;
        
    }
    
    delete_option( 'cks_lpa_settings' ) ;
            
    return $converted_options ;       
    
}

