<?php 

function wppp_get_options()
{
	$options=array(
			'show_dashboard_widget'=>1, 
			'show_in_front_end_adminbar'=>1, 
			'show_in_adminbar'=>1,
			'allow_user_role'=>array('administrator'),
			'allow_post_types'=>array('post'),
			'allow_categories'=>array(0),
			'adminbar_item_template'=>"<strong>%TITLE%...</strong> by %AUTHOR% for %DATE%",
			'adminbar_title_length'=>45,
			'adminbar_date_format'=>'M-d h:i:a',
			'prevent_pending_post'=>0,
	);
	$wppp_options=get_option('wppp_options',$options);
	if(!is_array($wppp_options['allow_categories']))$wppp_options['allow_categories']=array(0);
	return $wppp_options;
}

function wppp_permit_user()
{
global $current_user;
$wppp_options=wppp_get_options();

if(!is_array($current_user->roles)) return false;
if(!is_array($wppp_options['allow_user_role']))$wppp_options['allow_user_role']=array('administrator');

	foreach($current_user->roles as $ur)
	{
		if(in_array($ur, $wppp_options['allow_user_role'])) {return true; break;}
	}

return false;
}

function wppp_dropdown_roles( $selected = array() ) { #modified function from function wp_dropdown_roles( $selected = false ) in wp-admin/include/template.php
	$p = '';
	$r = '';
	$editable_roles = get_editable_roles();
	foreach ( $editable_roles as $role => $details ) {
		$name = translate_user_role($details['name'] ); 
		if ( in_array(esc_attr($role),$selected) ) // preselect specified role
			{
			$p .= "\n\t<option selected='selected' value='" . esc_attr($role) . "'>$name</option>";
			}
		else
			$r .= "\n\t<option value='" . esc_attr($role) . "'>$name</option>";
	}
	echo $p . $r;

}


function wppp_options_page()
{
	global $wpdb;
	$wppp_options=wppp_get_options();
	
	if(isset($_POST['save_options']))
	{
		$options=array(
				'show_dashboard_widget'=>intval($_POST['show_dashboard_widget']), 
				'show_in_front_end_adminbar'=>intval($_POST['show_in_front_end_adminbar']), 
				'show_in_adminbar'=>intval($_POST['show_in_adminbar']),
				'allow_user_role'=>$_POST['allow_user_role'],
				'allow_post_types'=>$_POST['allow_post_types'],
				'allow_categories'=>$_POST['allow_categories'],
				'adminbar_item_template'=>trim($_POST['adminbar_item_template']), 
				'adminbar_title_length'=>$_POST['adminbar_title_length'], 
				'adminbar_date_format'=>trim($_POST['adminbar_date_format']), 
				'prevent_pending_post'=>$_POST['prevent_pending_post']
		);	
	update_option('wppp_options',$options);
	$wppp_options=$options;
	}#end if(isset($_POST['save_options']))
	?>
    <link rel="stylesheet" type="text/css" href="<?php echo wppp_PLUGIN_URL?>/style.css">
	<div class="wrap dashboard-body">
    <div style="width: 700px; float:left;">
		<div id="icon-options-general" class="icon32"></div><h2>WP pending Posts Options</h2>
        
		<!-- <div style="text-align:right; margin-right:300px;">
        	By <a class='button-primary' href="https://wpdeveloper.net" target="_blank">WPDeveloper</a>  <a class='button-primary' href="https://wpdeveloper.net/free-plugin/wp-pending-posts/" target="_blank">Visit Plugin Site</a>  <a  class='button-primary' style="color:#FFF600;" href="http://wordpress.org/support/view/plugin-reviews/wp-pending-posts" target="_blank">Rate This Plugin</a>
        </div>  -->      
		
		<div style="width: 700px; float:left;">
			<form action="" method="post">
            <table class="form-table">
            <tr><td  colspan="2" align="left"><input type="checkbox" name="show_dashboard_widget" value="1" <?php echo ($wppp_options['show_dashboard_widget'])?' checked="checked"': '';?> />&nbsp;&nbsp;Show pending Posts in Dashboard Widget</td></tr>
            <tr><td  colspan="2" align="left"><input type="checkbox" name="show_in_front_end_adminbar" value="1" <?php echo ($wppp_options['show_in_front_end_adminbar'])?' checked="checked"': '';?>/>&nbsp; &nbsp;Show pending Posts in Sitewide Admin Bar</td></tr>
            <tr><td  colspan="2" align="left"><input type="checkbox" name="show_in_adminbar" value="1" <?php echo ($wppp_options['show_in_adminbar'])?' checked="checked"': '';?>/>&nbsp;&nbsp;Show pending Posts in Admin Bar</td></tr>

			<tr>
            <td scope="row" align="left" style="vertical-align:top;">Show Post Types: </td>
            <td>
            <select name="allow_post_types[]" MULTIPLE style="height:80px;width:200px;">
			<?php
			$typeswehave = array('post,revision'); //oneTarek
			$post_types=get_post_types('','names'); 
			$rempost = array('attachment','revision','nav_menu_item');
			$post_types = array_diff($post_types,$rempost);
			foreach ($post_types as $post_type ) {
				echo "<option ";
				
				if(in_array($post_type,$wppp_options['allow_post_types'])) echo "selected ";
				echo 'value="'.$post_type.'">'.$post_type.'</option>';
			}
			
			?>
			</select>
            </td>
            </tr>
 
 			<tr>
            <td scope="row" align="left" style="vertical-align:top;">Show Categories:<br /><small>Category filter works only for "post" post type</small> </td>
            <td>
         <select name="allow_categories[]" MULTIPLE style="height:100px;width:200px;">
			<?php
			$args = array(
				'type'                     => 'post',
				'child_of'                 => 0,
				'parent'                   => '',
				'orderby'                  => 'name',
				'order'                    => 'ASC',
				'hide_empty'               => 0,
				'hierarchical'             => 0,
				'exclude'                  => '',
				'include'                  => '',
				'number'                   => '',
				'taxonomy'                 => 'category',
				'pad_counts'               => false 
			
			); 
			$categories = get_categories( $args );
			array_unshift($categories, (object)array("term_id"=>0, "name"=>"All Categories"));
			//echo "<pre>"; print_r($categories); echo "</pre>";

			foreach ($categories as $cat ) {
				echo "<option ";
				
				if(in_array($cat->term_id,$wppp_options['allow_categories'])) echo "selected ";
				echo 'value="'.$cat->term_id.'">'.$cat->name.'</option>';
			}
			?>
			</select>
            </td>
            </tr>
 
            
            <tr valign="top">
            <td width="150" scope="row" align="align="left""><label for="allow_user_role">Allow users:</label></td>
            <td>
            <select name="allow_user_role[]" id="allow_user_role" multiple="multiple"  style="height:80px;width:200px;" ><?php  wppp_dropdown_roles( $wppp_options['allow_user_role'] ); ?></select>
            </td>
            </tr>
            <tr><td  colspan="2" align="left">
            	<div style="border:1px solid #eeeeee; padding:5px;">
                	<strong>Custom item template for pending posts list in adminbar:</strong><br />
                    Item template: <input type="text" name="adminbar_item_template" size="50" placeholder="<strong>%TITLE%...</strong> by %AUTHOR% for %DATE%"  value="<?php echo htmlspecialchars(stripslashes($wppp_options['adminbar_item_template'])) ?>"  /> 
                    Title length: <input type="text" name="adminbar_title_length" size="5" placeholder="45"  value="<?php echo $wppp_options['adminbar_title_length'] ?>" /> 
                    <br />
                    Date format: <input type="text" name="adminbar_date_format" size="10" placeholder="M-d h:i:a"  value="<?php echo htmlspecialchars(stripslashes($wppp_options['adminbar_date_format'])) ?>" />
                	<div style="padding-left:80px; color:#999999;">For item template use <strong>%TITLE%</strong> for post title, <strong>%AUTHOR%</strong> for post author and <strong>%DATE%</strong> for post pending date-time. You can use HTML tags with styles also </div>
                </div>
            </td></tr>
            <tr><td  colspan="2" align="left">
            <div style="border:1px solid #FFEBE8; background:#FEFFE8; padding:5px;">
            <input type="checkbox" name="prevent_pending_post" value="1" <?php echo ($wppp_options['prevent_pending_post'])?' checked="checked"': '';?> />&nbsp;&nbsp;Show option to publish post immediately but with pending date-time <span style="color:#666666"> (A checkbox will be appeared in date-time edit section in the post edit panel)</span> 
            </div>    
            </td></tr>  
            <tr><td><input type="submit" name="save_options" value="Save Options" class='button-primary'/></td><td>&nbsp;</td></tr>
            </table>
            </form>
            
            <div style=" text-align:center; margin-top:60px;">
            <a target="_blank" href="https://wpdeveloper.net"><img src="<?php echo wppp_PLUGIN_URL."/images/wpdeveloper-logo-2.png" ?>" /></a>
            <br />
            Powered By <a target="_blank" href="https://wpdeveloper.net">WPDeveloper.net</a>
            </div>
<?php
		
		echo "</div></div>";
	
		include_once(wppp_PLUGIN_PATH."includes/wppp-sidebar.php");
		echo '<div style="clear:both"></div>';
	echo "</div>";

}

?>