<?php
/*
 * Plugin Name: WP Pending Posts
 * Plugin URI: http://ckmacleod.com/plugins/wp-pending-posts/
 * Description: A Simple Fork of WP-Scheduled Posts (from WPDeveloper.net)
 * Version: 1.0
 * Author: CK MacLeod
 * Author URI: http://ckmacleod.com/
 * License: GPL2+
 * Text Domain: wp-pending-posts
 * Min WP Version: 2.5.0
 * Max WP Version: 4.2.2
 */


define("wppp_PLUGIN_SLUG",'wp-pending-posts');
define("wppp_PLUGIN_URL",plugins_url("",__FILE__ ));#without trailing slash (/)
define("wppp_PLUGIN_PATH",plugin_dir_path(__FILE__)); #with trailing slash (/)

include_once('includes/wppp-options.php');
include_once('includes/wpdev-dashboard-widget.php');

function add_wppp_menu_pages()

{
add_options_page( "WP pending Posts", "WP Pending Posts" ,'manage_options', wppp_PLUGIN_SLUG, 'wppp_options_page');
}

add_action('admin_menu', 'add_wppp_menu_pages'); 

	
	function wp_pending_post_widget_function() {
		global $wpdb;
		$wppp_options=wppp_get_options();
		$post_types=implode("', '",$wppp_options['allow_post_types']); $post_types="'".$post_types."'";
		$result=$wpdb->get_results("select * from ".$wpdb->prefix."posts where post_status = 'pending' AND post_type IN(".$post_types.") ORDER BY post_date ASC ");

		echo '<table class="widefat">';
		foreach($result as $scpost)
		{
		if( $scpost->post_type=="post" && !in_array(0, $wppp_options['allow_categories']))
			{
			$pcats = get_the_category($scpost->ID);		
			$found=false;	
			foreach($pcats as $c){
				if(in_array($c->term_id,$wppp_options['allow_categories'])) {$found=true;break;  }
				}
			if(!$found)continue;
			}		
		
		
		echo '<tr><td><a href="'.get_edit_post_link($scpost->ID).'">'.$scpost->post_title.'</a></td><td>'.get_date_from_gmt($scpost->post_date,'M-d h:i:a').'</td><td>'.get_the_author_meta( 'user_login', $scpost->post_author ).'</td></tr>';
		}
		echo "</table>";
		
	} # END OF wp_pending_post_widget_function()

// Create the function use in the action hook

function wp_pp_add_dashboard_widgets()
	{
	$wppp_options=wppp_get_options();
	
	if($wppp_options['show_dashboard_widget'])
		{
			if(wppp_permit_user())
			{
			wp_add_dashboard_widget('wp_pp_dashboard_widget', 'Pending Posts', 'wp_pending_post_widget_function');	
			}
		}
	} 
// Hook into the 'wp_dashboard_setup' action to register our other functions
add_action('wp_dashboard_setup', 'wp_pp_add_dashboard_widgets');

#-----------ADMINBAR---------------------
add_action( 'admin_bar_menu', 'wp_pending_post_menu', 1000 );


  function wp_pending_post_menu() {
  	  global $wp_admin_bar;
	  $wppp_options=wppp_get_options();
	  if($wppp_options['show_in_adminbar'] || $wppp_options['show_in_front_end_adminbar'])
	  {
		  if(is_admin() && !$wppp_options['show_in_adminbar']) return;
		  if(!is_admin() && !$wppp_options['show_in_front_end_adminbar']) return;
		  
		  if(wppp_permit_user())
		  {
				global $wpdb;
				$item_id=0;
				$post_types=implode("', '",$wppp_options['allow_post_types']); $post_types="'".$post_types."'";
				$result=$wpdb->get_results("select * from ".$wpdb->prefix."posts where post_status = 'pending' AND post_type IN(".$post_types.") ORDER BY post_date ASC ");
				$totalPost=0;
				if(is_array($result)){$totalPost=count($result);}
				$wp_admin_bar->add_menu( array( 'id' => 'wppp', 'title' =>'Pending Posts ('.$totalPost.')') );
				
				if(is_array($result))
				{
					$totalPostAllowed=0;
					$list_template=$wppp_options['adminbar_item_template']; if($list_template==''){$list_template="<strong>%TITLE%...</strong> by %AUTHOR% as of %DATE%";}
					$list_template=stripslashes($list_template);
					$title_length=intval($wppp_options['adminbar_title_length']); if($title_length==0){$title_length=45;}
					$date_format=$wppp_options['adminbar_date_format']; if($date_format==''){$date_format='M-d h:i:a';}
					foreach($result as $scpost)
					{ 
					
					if( $scpost->post_type=="post" && !in_array(0, $wppp_options['allow_categories']))
						{
						$pcats = get_the_category($scpost->ID);		
						$found=false;	
						foreach($pcats as $c){
							if(in_array($c->term_id,$wppp_options['allow_categories'])) {$found=true;break;  }
							}
						if(!$found)continue;
						}
					$title=substr($scpost->post_title, 0,$title_length);
					$author=get_the_author_meta( 'user_nicename', $scpost->post_author );
					$date=get_date_from_gmt($scpost->post_date,'M-d h:i:a');
					
					$list_item_template=str_replace("%TITLE%", $title ,$list_template);
					$list_item_template=str_replace("%AUTHOR%", $author ,$list_item_template);
					$list_item_template=str_replace("%DATE%", $date ,$list_item_template);
					$item_id++;
					$wp_admin_bar->add_menu( array( 'id'=>'wppp_'.$item_id, 'parent' => 'wppp' , 'title' =>$list_item_template , 'href' =>get_edit_post_link($scpost->ID),'meta'=>array('title'=>$scpost->post_title) ) );
					$totalPostAllowed++;
					}
					$item_id++;
					$Powered_by_text='<div style="border-top:1px solid #7AD03A;margin-top:5px; text-align:center;"><span style="color:#7AD03A">WP Pending Posts</span></div>';
					$wp_admin_bar->add_menu( array( 'id'=>'wppp_'.$item_id, 'parent' => 'wppp' , 'title' =>$Powered_by_text , 'href' =>'https://wpdeveloper.net/go/WPSP-Main','meta'=>array('title'=>'WP Developer', 'target'=>'_blank') ) );

					if($totalPostAllowed!=$totalPost)
					{
					#oevrwrite previous menu with new count
					$wp_admin_bar->add_menu( array( 'id' => 'wppp', 'title' =>'pending Posts ('.$totalPostAllowed.')') ); 
					}
				}//if(is_array($result))
				
		  }
	  }
  }

#-----------------------------SHOWING pending POSTS ON HOMEPAGE--------------------------------------
function wp_pending_posts()
{
	global $wpdb;
		$wppp_options=wppp_get_options();
		$post_types=implode("', '",$wppp_options['allow_post_types']); $post_types="'".$post_types."'";
		$result=$wpdb->get_results("select * from ".$wpdb->prefix."posts where post_status = 'pending' AND post_type IN(".$post_types.") ORDER BY post_date ASC ");

	if(is_array($result))
	{
		echo '<div class="pending_posts_box">';
		foreach($result as $scpost)
		{
			echo '<div class="pending_post"><div>'.get_date_from_gmt($scpost->post_date_gmt, $format = 'Y-m-d H:i:s')." | ".$scpost->post_title.'</div></div>';
			//echo $scpost->post_title;
		}
		echo '</div>';
	}
	
}#end wp_pending_posts()

#---------------------------------------Settings Page Link in Plugin List Page------------------------------------------------------------
function wppp_setting_links($links, $file) {
    static $wppp_setting;
    if (!$wppp_setting) {
        $wppp_setting = plugin_basename(__FILE__);
    }
    if ($file == $wppp_setting) {
        $wppp_settings_link = '<a href="options-general.php?page='.wppp_PLUGIN_SLUG.'">Settings</a>';
        array_unshift($links, $wppp_settings_link);
    }
    return $links;
}
add_filter('plugin_action_links', 'wppp_setting_links', 10, 2);	

#------------------------------------------Publish Post Immediately but with a pending date -------------------------------------------------------------



function wppp_prevent_pending_type( $post_data ) {
if(isset($_POST['prevent_pending_post']) && $_POST['prevent_pending_post']=='yes')
{
	
	if ( $post_data['post_status'] == 'pending')
	{
	$post_data['post_status'] = 'publish';
	remove_action('pending_post', '_pending_post_hook');
	}
}
return $post_data;
}

function wppp_post_page_prevent_pending_option($postid)
{
global $post;

$post_gmt_timestamp=strtotime($post->post_date_gmt);
$current_gmt_timestamp = current_time('timestamp', $gmt = 1);#http://codex.wordpress.org/Function_Reference/current_time
?>
<script type="text/javascript">
	function show_wppp_help(){ jQuery("#wppp_help").toggle();}
	jQuery(document).ready(function($){
		$(".save-timestamp:first").before($("#prevent_pending_post_box"));
	});
</script>
<div style="padding:10px;" id="prevent_pending_post_box">
<input type="checkbox" name="prevent_pending_post" value="yes" id="prevent_pending_post_no" <?php echo ($post_gmt_timestamp>$current_gmt_timestamp && $post->post_status!='pending')?' checked="checked"':'';?>  /><label for="prevent_pending_post_no"> Publish pending post immediately </label><a href="javascript:void();" onclick="show_wppp_help()" title="Show/Hide Help" >(?)</a> 
    <div style="border:1px solid #FFEBE8; background:#FEFFE8; padding:5px; display:none;" id="wppp_help">
    	If you schedule this post and check this option then your post will be published immediately but post date-time will not set current date. Post date-time will be your pending pending date-time. 
    </div>
</div>
<?php
}


function wppp_initialize()
{
$wppp_options=wppp_get_options();
	if($wppp_options['prevent_pending_post']==1)
	{
		add_filter('wp_insert_post_data', 'wppp_prevent_pending_type');
		#show an option in post edit page
		
		
		add_action('post_submitbox_misc_actions', 'wppp_post_page_prevent_pending_option');
	}#end if($wppp_options['...
}


add_action('init', 'wppp_initialize');

/* Display a notice that can be dismissed */

add_action('admin_notices', 'wppp_admin_notice');

function wppp_admin_notice() {
if ( current_user_can( 'install_plugins' ) )
   {
     global $current_user ;
        $user_id = $current_user->ID;
        /* Check that the user hasn't already clicked to ignore the message */
     if ( ! get_user_meta($user_id, 'wppp_ignore_notice141') ) {
        echo '<div class="updated"><p>';
        printf(__('<b>[Notice]</b> Do you have multiple Writers/Authors in your site? If you use <b><a href="https://wpdeveloper.net/go/WPSP-Main" target="_blank">WP pending Posts</a> </b>to manage your schedule, we have another <strong>Rocking free plugin</strong> <strong><a href="https://wpdeveloper.net/go/WPAR-Main" target="_blank">WP Author Report</a></strong>, which generate reports for a site owner that makes sense, and increase productivity. <strong>Its free, give it a try!</strong>
 | <a href="%1$s">[Hide Notice]</a>'),  admin_url( 'admin.php?page=wp-pending-posts&wppp_nag_ignore=0' ));
        echo "</p></div>";
     }
    }
}

add_action('admin_init', 'wppp_nag_ignore');

function wppp_nag_ignore() {
     global $current_user;
        $user_id = $current_user->ID;
        /* If user clicks to ignore the notice, add that to their user meta */
        if ( isset($_GET['wppp_nag_ignore']) && '0' == $_GET['wppp_nag_ignore'] ) {
             add_user_meta($user_id, 'wppp_ignore_notice141', 'true', true);
     }
}

?>